<template>
    <view>
        <view class="title" >
            <view class="title_text">{{title}}</view>
            <view class="title_more" @click="linkpath()">更多></view>
        </view>
        <view v-if="info">
            <exchangeItem :info="info" ></exchangeItem>
        </view>

    </view>
</template>
<script>
import exchangeItem from '@/pages/components/exchange-item.vue'
import {moduleBySeven} from '@/http/api/common.js'
export default {
components: {
    exchangeItem,
},
data() {
    return {
        info:[],
        title:'互动天地',
    }
},
async mounted() {
   this.getmoduleBySeven()
},
methods: {
    async getmoduleBySeven(){
        //获取模块7
        let res = await moduleBySeven()
        if (res.data.code == 200) {
            this.title = res.data.data.title
            this.info = res.data.data.contentVoList

        }
    },
    linkpath(){
        uni.navigateTo({
             url: '/pages/home/exchange'
        });
    }
}
}
</script>

<style>
.title{
    display: flex;
    width: 90vw;
    justify-content: space-between;
    margin: 0 auto;
}
.title_text{
    width: 128rpx;
    height: 45rpx;
    font-size: 32rpx;
    font-weight: bold;
    color: #333333;
    line-height: 45rpx;
}
.title_more{
    width: 80rpx;
    height: 40rpx;
    font-size: 28rpx;
    font-weight: 500;
    color: #999999;
    line-height: 40rpx;
}


</style>
    